/*
 * SecondaryThread.cpp
 *
 *  Created on: Feb 28, 2011
 *      Author: bvaranas
 */

#include "SecondaryThread.h"

SecondaryThread::SecondaryThread(QObject *inparent) :
    QThread(inparent)
    {
       
    }

//
// destructor
//
SecondaryThread::~SecondaryThread()
    {
   
    }

void SecondaryThread::StartSecondaryThread()
    {
    start();
    }

void SecondaryThread::run()
    {
    QList<QNetworkProxy> listOfProxies = QNetworkProxyFactory::systemProxyForQuery(QNetworkProxyQuery(QUrl(QString("http://www.google.co.in")), QNetworkProxyQuery::UrlRequest));
    for (int i = 0; i < listOfProxies.size(); ++i) 
        {
           QNetworkProxy proxy = listOfProxies.at(i);
           QString proxyconfig(proxy.hostName());
           if(proxyconfig != "")
               {
               QString qStr = "systemproxy:-";  
               qStr.append(proxyconfig);
               qDebug() <<"SystemProxy is:"<<qStr;  
               } 
        }
    exec();
    }

